From 338e032fb116863e156f3943da4962f3c406543f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Fri, 19 Mar 2021 14:41:24 +0100
Subject: [PATCH 2/2] misc: apply isort (#52224)

---
 setup.py                                      |   9 +-
 tests/admin_pages/test_all.py                 |   8 +-
 tests/admin_pages/test_api_access.py          |   7 +-
 tests/admin_pages/test_block.py               |  14 +-
 tests/admin_pages/test_card.py                |  13 +-
 tests/admin_pages/test_carddefcategory.py     |   7 +-
 tests/admin_pages/test_category.py            |   7 +-
 tests/admin_pages/test_datasource.py          |  21 ++-
 tests/admin_pages/test_form.py                |  23 +--
 tests/admin_pages/test_logged_errors.py       |   5 +-
 tests/admin_pages/test_role.py                |   7 +-
 tests/admin_pages/test_settings.py            |  28 ++--
 tests/admin_pages/test_user.py                |  14 +-
 tests/admin_pages/test_workflow.py            |  42 +++---
 tests/admin_pages/test_wscall.py              |   5 +-
 tests/api/test_access.py                      |  11 +-
 tests/api/test_all.py                         |   4 +-
 tests/api/test_carddef.py                     |  10 +-
 tests/api/test_category.py                    |   4 +-
 tests/api/test_custom_view.py                 |   4 +-
 tests/api/test_formdata.py                    |   9 +-
 tests/api/test_formdef.py                     |  10 +-
 tests/api/test_user.py                        |   7 +-
 tests/api/test_utils.py                       |   6 +-
 tests/api/test_workflow.py                    |   4 +-
 tests/backoffice_pages/test_all.py            |  56 ++++----
 tests/backoffice_pages/test_carddata.py       |   8 +-
 tests/backoffice_pages/test_custom_view.py    |  16 ++-
 tests/backoffice_pages/test_export.py         |  11 +-
 tests/backoffice_pages/test_submission.py     |  11 +-
 tests/conftest.py                             |   5 +-
 tests/form_pages/test_all.py                  |  63 ++++----
 tests/form_pages/test_block.py                |  16 ++-
 tests/form_pages/test_formdata.py             |  27 ++--
 tests/test_auth_pages.py                      |   5 +-
 tests/test_carddef.py                         |  15 +-
 tests/test_categories.py                      |   7 +-
 tests/test_convert_to_sql.py                  |  13 +-
 tests/test_ctl.py                             |  39 ++---
 tests/test_datasource.py                      |  23 +--
 tests/test_datasource_chrono.py               |  14 +-
 tests/test_ezt.py                             |  22 +--
 tests/test_fc_auth.py                         |  10 +-
 tests/test_fields.py                          |  15 +-
 tests/test_formdata.py                        |  35 +++--
 tests/test_formdef.py                         |  32 +++--
 tests/test_formdef_import.py                  |  14 +-
 tests/test_hobo.py                            |  13 +-
 tests/test_hobo_notify.py                     |  11 +-
 tests/test_mail_templates.py                  |  18 ++-
 tests/test_misc.py                            |  60 ++++----
 tests/test_prefill.py                         |   8 +-
 tests/test_publisher.py                       |  15 +-
 tests/test_register.py                        |   8 +-
 tests/test_role.py                            |   6 +-
 tests/test_rootdirectory.py                   |  16 +--
 tests/test_saml2utils.py                      |   3 +-
 tests/test_saml_auth.py                       |  23 +--
 tests/test_sessions.py                        |  14 +-
 tests/test_snapshots.py                       |  15 +-
 tests/test_sql.py                             |  23 +--
 tests/test_storage.py                         |  12 +-
 tests/test_templates.py                       |  14 +-
 tests/test_texts.py                           |   9 +-
 tests/test_tracking_code.py                   |   4 +-
 tests/test_upload_storage.py                  |  16 ++-
 tests/test_users.py                           |   6 +-
 tests/test_variadic_url.py                    |   6 +-
 tests/test_widgets.py                         |  11 +-
 tests/test_workflow_import.py                 |  55 +++----
 tests/test_workflows.py                       | 136 +++++++++---------
 tests/test_wscall.py                          |   6 +-
 tests/utilities.py                            |  30 ++--
 wcs/__init__.py                               |   6 +-
 wcs/admin/api_access.py                       |  17 ++-
 wcs/admin/blocks.py                           |  28 ++--
 wcs/admin/categories.py                       |  14 +-
 wcs/admin/data_sources.py                     |  37 ++---
 wcs/admin/fields.py                           |  18 +--
 wcs/admin/forms.py                            |  53 ++++---
 wcs/admin/logged_errors.py                    |  20 ++-
 wcs/admin/mail_templates.py                   |  33 +++--
 wcs/admin/roles.py                            |  12 +-
 wcs/admin/root.py                             |   3 +-
 wcs/admin/settings.py                         |  56 ++++----
 wcs/admin/users.py                            |  26 ++--
 wcs/admin/utils.py                            |  10 +-
 wcs/admin/workflows.py                        |  36 ++---
 wcs/admin/wscalls.py                          |  18 ++-
 wcs/api.py                                    |  53 ++++---
 wcs/api_utils.py                              |  22 +--
 wcs/backoffice/cards.py                       |  30 ++--
 wcs/backoffice/data_management.py             |  32 +++--
 wcs/backoffice/management.py                  |  89 ++++++------
 wcs/backoffice/root.py                        |  38 ++---
 wcs/backoffice/snapshots.py                   |  22 ++-
 wcs/backoffice/studio.py                      |   3 +-
 wcs/backoffice/submission.py                  |  26 ++--
 wcs/blocks.py                                 |  18 ++-
 wcs/cache.py                                  |   3 +-
 wcs/carddef.py                                |  19 ++-
 wcs/categories.py                             |   2 +-
 wcs/compat.py                                 |  18 +--
 wcs/conditions.py                             |  10 +-
 wcs/context_processors.py                     |   5 +-
 wcs/ctl/backup.py                             |   5 +-
 wcs/ctl/check_hobos.py                        |  18 ++-
 wcs/ctl/delete_tenant.py                      |   8 +-
 wcs/ctl/hobo_notify.py                        |   8 +-
 wcs/ctl/management/commands/__init__.py       |   3 +-
 wcs/ctl/management/commands/convert_to_sql.py |   7 +-
 wcs/ctl/management/commands/import_site.py    |   2 +-
 wcs/ctl/management/commands/runjob.py         |   3 +-
 wcs/ctl/management/commands/shell.py          |   1 +
 wcs/ctl/management/commands/trigger_jumps.py  |   4 +-
 wcs/ctl/rebuild_indexes.py                    |   3 +-
 wcs/ctl/restore.py                            |   5 +-
 wcs/ctl/runscript.py                          |   5 +-
 wcs/ctl/wipe_data.py                          |   3 +-
 wcs/custom_views.py                           |   5 +-
 wcs/data_sources.py                           |  23 +--
 wcs/fields.py                                 |  54 +++----
 wcs/formdata.py                               |  22 ++-
 wcs/formdef.py                                |  42 +++---
 wcs/forms/actions.py                          |   8 +-
 wcs/forms/backoffice.py                       |  15 +-
 wcs/forms/common.py                           |  27 ++--
 wcs/forms/preview.py                          |   9 +-
 wcs/forms/root.py                             |  46 +++---
 wcs/forms/workflows.py                        |  13 +-
 wcs/logged_errors.py                          |   3 +-
 wcs/mail_templates.py                         |   3 +-
 wcs/middleware.py                             |  10 +-
 wcs/monkeypatch.py                            |   1 -
 wcs/myspace.py                                |   4 +-
 wcs/portfolio.py                              |  28 ++--
 wcs/publisher.py                              |  28 ++--
 wcs/qommon/__init__.py                        |   5 +-
 wcs/qommon/admin/emails.py                    |  10 +-
 wcs/qommon/admin/logger.py                    |  12 +-
 wcs/qommon/admin/menu.py                      |  12 +-
 wcs/qommon/admin/settings.py                  |  11 +-
 wcs/qommon/admin/texts.py                     |  12 +-
 wcs/qommon/afterjobs.py                       |   7 +-
 wcs/qommon/backoffice/listing.py              |   7 +-
 wcs/qommon/backoffice/menu.py                 |  10 +-
 wcs/qommon/backoffice/root.py                 |   3 +-
 wcs/qommon/ctl.py                             |   5 +-
 wcs/qommon/emails.py                          |  15 +-
 wcs/qommon/errors.py                          |   8 +-
 wcs/qommon/evalutils.py                       |   1 +
 wcs/qommon/ezt.py                             |   5 +-
 wcs/qommon/form.py                            |  56 +++++---
 wcs/qommon/http_request.py                    |   6 +-
 wcs/qommon/http_response.py                   |   6 +-
 wcs/qommon/humantime.py                       |   4 +-
 wcs/qommon/ident/franceconnect.py             |  41 +++---
 wcs/qommon/ident/idp.py                       |  37 ++---
 wcs/qommon/ident/password.py                  |  45 +++---
 wcs/qommon/ident/password_accounts.py         |   7 +-
 wcs/qommon/logger.py                          |   4 +-
 .../management/commands/collectstatic.py      |   1 +
 wcs/qommon/management/commands/cron.py        |   9 +-
 wcs/qommon/management/commands/migrate.py     |   3 +-
 wcs/qommon/misc.py                            |  33 +++--
 wcs/qommon/myspace.py                         |  20 ++-
 wcs/qommon/ods.py                             |   7 +-
 wcs/qommon/pages.py                           |   3 +-
 wcs/qommon/publisher.py                       |  52 ++++---
 wcs/qommon/saml2.py                           |  23 +--
 wcs/qommon/saml2utils.py                      |   3 +-
 wcs/qommon/sessions.py                        |  18 +--
 wcs/qommon/sms.py                             |  11 +-
 wcs/qommon/storage.py                         |  12 +-
 wcs/qommon/substitution.py                    |   8 +-
 wcs/qommon/template.py                        |  34 +++--
 wcs/qommon/template_utils.py                  |   8 +-
 wcs/qommon/templatetags/qommon.py             |  18 ++-
 wcs/qommon/tokens.py                          |   2 +-
 wcs/qommon/upload_storage.py                  |   9 +-
 wcs/qommon/vendor/locket.py                   |   2 +-
 wcs/qommon/x509utils.py                       |   4 +-
 wcs/qommon/xml_storage.py                     |   3 +-
 wcs/roles.py                                  |   3 +-
 wcs/root.py                                   |  41 +++---
 wcs/snapshots.py                              |   7 +-
 wcs/sql.py                                    |  39 ++---
 wcs/tracking_code.py                          |   3 +-
 wcs/urls.py                                   |   2 +-
 wcs/users.py                                  |  12 +-
 wcs/utils.py                                  |   3 +-
 wcs/variables.py                              |  21 +--
 wcs/views.py                                  |   6 +-
 wcs/wf/aggregation_email.py                   |  14 +-
 wcs/wf/anonymise.py                           |   3 +-
 wcs/wf/attachment.py                          |  14 +-
 wcs/wf/backoffice_fields.py                   |  19 +--
 wcs/wf/create_carddata.py                     |   8 +-
 wcs/wf/create_formdata.py                     |  34 ++---
 wcs/wf/criticality.py                         |   7 +-
 wcs/wf/dispatch.py                            |  11 +-
 wcs/wf/edit_carddata.py                       |   6 +-
 wcs/wf/export_to_model.py                     |  72 +++++-----
 wcs/wf/external_workflow.py                   |  16 ++-
 wcs/wf/form.py                                |  18 +--
 wcs/wf/geolocate.py                           |  18 ++-
 wcs/wf/jump.py                                |  30 ++--
 wcs/wf/notification.py                        |  12 +-
 wcs/wf/profile.py                             |  30 ++--
 wcs/wf/redirect_to_url.py                     |   7 +-
 wcs/wf/register_comment.py                    |  22 +--
 wcs/wf/remove.py                              |  13 +-
 wcs/wf/resubmit.py                            |  16 ++-
 wcs/wf/roles.py                               |  23 ++-
 wcs/wf/timeout_jump.py                        |   4 +-
 wcs/wf/wscall.py                              |  28 ++--
 wcs/workflows.py                              |  54 ++++---
 wcs/wscalls.py                                |  34 +++--
 218 files changed, 2198 insertions(+), 1531 deletions(-)

diff --git a/setup.py b/setup.py
index e1cf07ed..f4fbefab 100644
--- a/setup.py
+++ b/setup.py
@@ -3,14 +3,15 @@
 import os
 import subprocess
 import sys
-
 from distutils.cmd import Command
-from distutils.errors import CompileError
-from distutils.spawn import find_executable
 from distutils.command.build import build as _build
 from distutils.command.sdist import sdist
+from distutils.errors import CompileError
+from distutils.spawn import find_executable
+
+from setuptools import find_packages
+from setuptools import setup
 from setuptools.command.install_lib import install_lib as _install_lib
-from setuptools import setup, find_packages
 
 local_cfg = None
 if os.path.exists('wcs/wcs_cfg.py'):
diff --git a/tests/admin_pages/test_all.py b/tests/admin_pages/test_all.py
index 70a5213f..600ecc66 100644
--- a/tests/admin_pages/test_all.py
+++ b/tests/admin_pages/test_all.py
@@ -3,11 +3,13 @@
 import os
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
-from wcs.qommon.ident.password_accounts import PasswordAccount
 from wcs.qommon.http_request import HTTPRequest
-
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
+from wcs.qommon.ident.password_accounts import PasswordAccount
 
 
 def pytest_generate_tests(metafunc):
diff --git a/tests/admin_pages/test_api_access.py b/tests/admin_pages/test_api_access.py
index e9dce38c..4c577213 100644
--- a/tests/admin_pages/test_api_access.py
+++ b/tests/admin_pages/test_api_access.py
@@ -15,11 +15,14 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
-from wcs.qommon.http_request import HTTPRequest
 from wcs.api_access import ApiAccess
+from wcs.qommon.http_request import HTTPRequest
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/admin_pages/test_block.py b/tests/admin_pages/test_block.py
index 7e680bb4..29fe89b6 100644
--- a/tests/admin_pages/test_block.py
+++ b/tests/admin_pages/test_block.py
@@ -8,15 +8,19 @@ except ImportError:
     lasso = None
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 from webtest import Upload
 
-from wcs.qommon.http_request import HTTPRequest
-from wcs.formdef import FormDef
-from wcs.blocks import BlockDef
 from wcs import fields
+from wcs.blocks import BlockDef
+from wcs.formdef import FormDef
+from wcs.qommon.http_request import HTTPRequest
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
-from .test_all import create_superuser, create_role
+from .test_all import create_role
+from .test_all import create_superuser
 
 
 def pytest_generate_tests(metafunc):
diff --git a/tests/admin_pages/test_card.py b/tests/admin_pages/test_card.py
index 2f84fc6a..6ab5b2b1 100644
--- a/tests/admin_pages/test_card.py
+++ b/tests/admin_pages/test_card.py
@@ -1,20 +1,25 @@
 # -*- coding: utf-8 -*-
 
-import pytest
 import re
 
+import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
+
 from wcs import fields
 from wcs.admin.settings import UserFieldsFormDef
-from wcs.categories import CardDefCategory
 from wcs.carddef import CardDef
+from wcs.categories import CardDefCategory
 from wcs.formdef import FormDef
 from wcs.qommon.http_request import HTTPRequest
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
 from wcs.workflows import Workflow
 from wcs.workflows import WorkflowBackofficeFieldsFormDef
 from wcs.workflows import WorkflowVariablesFieldsFormDef
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/admin_pages/test_carddefcategory.py b/tests/admin_pages/test_carddefcategory.py
index 87e077ec..34736099 100644
--- a/tests/admin_pages/test_carddefcategory.py
+++ b/tests/admin_pages/test_carddefcategory.py
@@ -1,12 +1,15 @@
 # -*- coding: utf-8 -*-
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
-from wcs.qommon.http_request import HTTPRequest
 from wcs.carddef import CardDef
 from wcs.categories import CardDefCategory
+from wcs.qommon.http_request import HTTPRequest
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/admin_pages/test_category.py b/tests/admin_pages/test_category.py
index b14c1477..a6a8cec4 100644
--- a/tests/admin_pages/test_category.py
+++ b/tests/admin_pages/test_category.py
@@ -1,12 +1,15 @@
 # -*- coding: utf-8 -*-
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
-from wcs.qommon.http_request import HTTPRequest
 from wcs.categories import Category
 from wcs.formdef import FormDef
+from wcs.qommon.http_request import HTTPRequest
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/admin_pages/test_datasource.py b/tests/admin_pages/test_datasource.py
index 63b68d18..6ea09a70 100644
--- a/tests/admin_pages/test_datasource.py
+++ b/tests/admin_pages/test_datasource.py
@@ -2,27 +2,33 @@
 
 import io
 import json
-import mock
 import os
 import xml.etree.ElementTree as ET
 
+import mock
+
 try:
     import lasso
 except ImportError:
     lasso = None
 
 import pytest
+from utilities import HttpRequestsMocking
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 from webtest import Upload
 
-from wcs.qommon.http_request import HTTPRequest
+from wcs import fields
 from wcs.admin.settings import UserFieldsFormDef
+from wcs.carddef import CardDef
 from wcs.data_sources import NamedDataSource
-from wcs.workflows import Workflow, WorkflowBackofficeFieldsFormDef
 from wcs.formdef import FormDef
-from wcs.carddef import CardDef
-from wcs import fields
+from wcs.qommon.http_request import HTTPRequest
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub, HttpRequestsMocking
 from .test_all import create_superuser
 
 
@@ -341,7 +347,8 @@ def test_data_sources_view(pub):
         fields.ItemField(id='1', type='item', label='item', data_source={'type': data_source.slug})
     )
 
-    from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
+    from wcs.wf.form import FormWorkflowStatusItem
+    from wcs.wf.form import WorkflowFormFieldsFormDef
 
     baz_status = workflow.add_status(name='baz')
     display_form = FormWorkflowStatusItem()
diff --git a/tests/admin_pages/test_form.py b/tests/admin_pages/test_form.py
index fd01b530..9c292034 100644
--- a/tests/admin_pages/test_form.py
+++ b/tests/admin_pages/test_form.py
@@ -2,29 +2,32 @@
 
 import datetime
 import io
-import mock
 import os
 import re
 import tarfile
 import time
 import xml.etree.ElementTree as ET
 
+import mock
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 from webtest import Upload
 
-from wcs.qommon.http_request import HTTPRequest
-from wcs.qommon.errors import ConnectionError
+from wcs import fields
+from wcs.carddef import CardDef
 from wcs.categories import Category
 from wcs.data_sources import NamedDataSource
-from wcs.wscalls import NamedWsCall
-from wcs.workflows import Workflow
 from wcs.formdef import FormDef
-from wcs.carddef import CardDef
-from wcs import fields
-
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
+from wcs.qommon.errors import ConnectionError
+from wcs.qommon.http_request import HTTPRequest
+from wcs.workflows import Workflow
+from wcs.wscalls import NamedWsCall
 
-from .test_all import create_superuser, create_role
+from .test_all import create_role
+from .test_all import create_superuser
 
 
 def pytest_generate_tests(metafunc):
diff --git a/tests/admin_pages/test_logged_errors.py b/tests/admin_pages/test_logged_errors.py
index 838e6ed3..3db1ff56 100644
--- a/tests/admin_pages/test_logged_errors.py
+++ b/tests/admin_pages/test_logged_errors.py
@@ -3,13 +3,16 @@
 import datetime
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
 from wcs.carddef import CardDef
 from wcs.formdef import FormDef
 from wcs.qommon.http_request import HTTPRequest
 from wcs.workflows import Workflow
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/admin_pages/test_role.py b/tests/admin_pages/test_role.py
index a61e3375..c32e8379 100644
--- a/tests/admin_pages/test_role.py
+++ b/tests/admin_pages/test_role.py
@@ -1,11 +1,14 @@
 # -*- coding: utf-8 -*-
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
-from wcs.qommon.http_request import HTTPRequest
 from wcs.formdef import FormDef
+from wcs.qommon.http_request import HTTPRequest
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/admin_pages/test_settings.py b/tests/admin_pages/test_settings.py
index c2dcfac2..0ba93829 100644
--- a/tests/admin_pages/test_settings.py
+++ b/tests/admin_pages/test_settings.py
@@ -11,26 +11,30 @@ try:
 except ImportError:
     lasso = None
 
-import pytest
-from webtest import Upload
 import mock
-
+import pytest
 from quixote.http_request import Upload as QuixoteUpload
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
+from webtest import Upload
 
+from wcs import fields
+from wcs.api_access import ApiAccess
+from wcs.carddef import CardDef
+from wcs.categories import CardDefCategory
+from wcs.categories import Category
+from wcs.data_sources import NamedDataSource
+from wcs.formdef import FormDef
 from wcs.qommon.form import UploadedFile
 from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.template import get_current_theme
-from wcs.api_access import ApiAccess
-from wcs.categories import Category, CardDefCategory
-from wcs.data_sources import NamedDataSource
-from wcs.wscalls import NamedWsCall
-from wcs.workflows import Workflow, CommentableWorkflowStatusItem
 from wcs.wf.export_to_model import ExportToModel
-from wcs.formdef import FormDef
-from wcs.carddef import CardDef
-from wcs import fields
+from wcs.workflows import CommentableWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.wscalls import NamedWsCall
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/admin_pages/test_user.py b/tests/admin_pages/test_user.py
index efc4f85d..8d73a59d 100644
--- a/tests/admin_pages/test_user.py
+++ b/tests/admin_pages/test_user.py
@@ -1,14 +1,18 @@
 # -*- coding: utf-8 -*-
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 
-from wcs.qommon.ident.password_accounts import PasswordAccount
-from wcs.qommon.http_request import HTTPRequest
-from wcs.admin.settings import UserFieldsFormDef
 from wcs import fields
+from wcs.admin.settings import UserFieldsFormDef
+from wcs.qommon.http_request import HTTPRequest
+from wcs.qommon.ident.password_accounts import PasswordAccount
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
-from .test_all import create_superuser, create_role
+from .test_all import create_role
+from .test_all import create_superuser
 
 
 def pytest_generate_tests(metafunc):
diff --git a/tests/admin_pages/test_workflow.py b/tests/admin_pages/test_workflow.py
index 948f8915..75daa5bf 100644
--- a/tests/admin_pages/test_workflow.py
+++ b/tests/admin_pages/test_workflow.py
@@ -1,47 +1,51 @@
 # -*- coding: utf-8 -*-
 
 import io
-import mock
 import os
 import re
 
+import mock
+
 try:
     import lasso
 except ImportError:
     lasso = None
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 from webtest import Upload
 
-from wcs.qommon.http_request import HTTPRequest
+from wcs import fields
+from wcs.carddef import CardDef
+from wcs.formdef import FormDef
 from wcs.qommon.errors import ConnectionError
-from wcs.workflows import (
-    Workflow,
-    WorkflowCriticalityLevel,
-    DisplayMessageWorkflowStatusItem,
-    WorkflowBackofficeFieldsFormDef,
-    CommentableWorkflowStatusItem,
-    ChoiceWorkflowStatusItem,
-    JumpOnSubmitWorkflowStatusItem,
-    WorkflowVariablesFieldsFormDef,
-    item_classes,
-)
+from wcs.qommon.http_request import HTTPRequest
 from wcs.wf.create_carddata import CreateCarddataWorkflowStatusItem
-from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem, Mapping
+from wcs.wf.create_formdata import CreateFormdataWorkflowStatusItem
+from wcs.wf.create_formdata import Mapping
 from wcs.wf.dispatch import DispatchWorkflowStatusItem
 from wcs.wf.edit_carddata import EditCarddataWorkflowStatusItem
 from wcs.wf.export_to_model import ExportToModel
 from wcs.wf.external_workflow import ExternalWorkflowGlobalAction
-from wcs.wf.form import FormWorkflowStatusItem, WorkflowFormFieldsFormDef
+from wcs.wf.form import FormWorkflowStatusItem
+from wcs.wf.form import WorkflowFormFieldsFormDef
 from wcs.wf.jump import JumpWorkflowStatusItem
 from wcs.wf.redirect_to_url import RedirectToUrlWorkflowStatusItem
 from wcs.wf.register_comment import RegisterCommenterWorkflowStatusItem
 from wcs.wf.wscall import WebserviceCallStatusItem
-from wcs.carddef import CardDef
-from wcs.formdef import FormDef
-from wcs import fields
+from wcs.workflows import ChoiceWorkflowStatusItem
+from wcs.workflows import CommentableWorkflowStatusItem
+from wcs.workflows import DisplayMessageWorkflowStatusItem
+from wcs.workflows import JumpOnSubmitWorkflowStatusItem
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
+from wcs.workflows import WorkflowCriticalityLevel
+from wcs.workflows import WorkflowVariablesFieldsFormDef
+from wcs.workflows import item_classes
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/admin_pages/test_wscall.py b/tests/admin_pages/test_wscall.py
index 5d8236fd..c8002822 100644
--- a/tests/admin_pages/test_wscall.py
+++ b/tests/admin_pages/test_wscall.py
@@ -4,12 +4,15 @@ import io
 import xml.etree.ElementTree as ET
 
 import pytest
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
 from webtest import Upload
 
 from wcs.qommon.http_request import HTTPRequest
 from wcs.wscalls import NamedWsCall
 
-from utilities import get_app, login, create_temporary_pub, clean_temporary_pub
 from .test_all import create_superuser
 
 
diff --git a/tests/api/test_access.py b/tests/api/test_access.py
index fd0b32c9..2509c56a 100644
--- a/tests/api/test_access.py
+++ b/tests/api/test_access.py
@@ -11,9 +11,14 @@ import urllib.parse
 import pytest
 from django.utils.encoding import force_bytes
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app, login
-
-from wcs.api_utils import get_secret_and_orig, is_url_signed, sign_url
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
+from utilities import login
+
+from wcs.api_utils import get_secret_and_orig
+from wcs.api_utils import is_url_signed
+from wcs.api_utils import sign_url
 from wcs.qommon.errors import AccessForbiddenError
 from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.ident.password_accounts import PasswordAccount
diff --git a/tests/api/test_all.py b/tests/api/test_all.py
index c9287f5f..6416a60c 100644
--- a/tests/api/test_all.py
+++ b/tests/api/test_all.py
@@ -7,7 +7,9 @@ import os
 import mock
 import pytest
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
 from wcs.api_utils import sign_url
 from wcs.formdef import FormDef
diff --git a/tests/api/test_carddef.py b/tests/api/test_carddef.py
index 31423b1d..bd29d0e4 100644
--- a/tests/api/test_carddef.py
+++ b/tests/api/test_carddef.py
@@ -11,9 +11,12 @@ import mock
 import pytest
 from django.utils.encoding import force_text
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
-from wcs import fields, qommon
+from wcs import fields
+from wcs import qommon
 from wcs.api_utils import sign_url
 from wcs.carddef import CardDef
 from wcs.categories import CardDefCategory
@@ -21,7 +24,8 @@ from wcs.data_sources import NamedDataSource
 from wcs.qommon.afterjobs import AfterJob
 from wcs.qommon.form import PicklableUpload
 from wcs.qommon.http_request import HTTPRequest
-from wcs.workflows import Workflow, WorkflowBackofficeFieldsFormDef
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
 
 from .utils import sign_uri
 
diff --git a/tests/api/test_category.py b/tests/api/test_category.py
index 00d7b4df..e1b024ce 100644
--- a/tests/api/test_category.py
+++ b/tests/api/test_category.py
@@ -4,7 +4,9 @@ import os
 
 import pytest
 from quixote import get_publisher
-from utilities import clean_temporary_pub, create_temporary_pub, get_app
+from utilities import clean_temporary_pub
+from utilities import create_temporary_pub
+from utilities import get_app
 
 from wcs.categories import Category
 from wcs.formdef import FormDef
